<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.GetBothMultiple Method (DatabaseEntry, DatabaseEntry)
Database Class See Also Send Feedback

If a key/data pair in the database matches key and data, return the key and all duplicate data items.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetBothMultiple(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Function GetBothMultiple ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetBothMultiple(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data to search for

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key and data are not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

Database Class
GetBothMultiple Overload
BerkeleyDB Namespace